classification
Title: sqlite: enumeration value 'TYPE_STRING' not handled in switch
Type: behavior Stage:
Components: Extension Modules Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ghaering Nosy List: benjamin.peterson, christian.heimes, ghaering
Priority: critical Keywords: easy, patch

Created on 2008-08-24 16:11 by christian.heimes, last changed 2008-09-22 06:05 by ghaering. This issue is now closed.

Files
File name Uploaded Description Edit
py3_sqlite3_str_subclass.dif ghaering, 2008-09-21 10:02 Patch that makes the port to Python 3.0 complete
Messages (6)
msg71839 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2008-08-24 16:11
I'm getting the compiler warning:

Modules/_sqlite/statement.c: In function
'pysqlite_statement_bind_parameter':
Modules/_sqlite/statement.c:133: warning: enumeration value
'TYPE_STRING' not handled in switch

I tried to make sense of the code before the warning. It looks like
TYPE_STRING isn't handled at all. The warning may be sign for a design
flaw or missing feature in the code.
msg73151 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-12 22:53
I'll look into this.
msg73506 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-21 09:51
Damn. I uploaded a patch to this issue a few days ago for review.
Apparently, it didn't work?! I'll recreate it again.
msg73507 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-21 10:02
Attached patch corrects the issue. Could you please review it?
msg73528 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-09-21 20:36
I think the patch looks good.
msg73557 - (view) Author: Gerhard Häring (ghaering) * (Python committer) Date: 2008-09-22 06:05
Thanks a lot, Benjamin!

Committed revision 66550.
History
Date User Action Args
2008-09-22 06:05:43ghaeringsetstatus: open -> closed
resolution: fixed
messages: + msg73557
2008-09-21 20:36:55benjamin.petersonsetkeywords: - needs review
nosy: + benjamin.peterson
messages: + msg73528
2008-09-21 10:03:57ghaeringsetstatus: pending -> open
2008-09-21 10:02:49ghaeringsetkeywords: + patch, easy, needs review
type: behavior
2008-09-21 10:02:05ghaeringsetstatus: open -> pending
files: + py3_sqlite3_str_subclass.dif
messages: + msg73507
2008-09-21 09:51:18ghaeringsetmessages: + msg73506
2008-09-12 22:53:14ghaeringsetassignee: ghaering
messages: + msg73151
nosy: + ghaering
2008-09-04 01:12:34benjamin.petersonsetpriority: release blocker -> critical
2008-08-24 16:11:55christian.heimescreate